
public class Class537 {

   static Class537 aClass537_7291 = new Class537(6);
   static Class537 aClass537_7292 = new Class537(2);
   public static Class537 aClass537_7293 = new Class537(1);
   static Class537 aClass537_7294 = new Class537(5);
   static Class537 aClass537_7295 = new Class537(3);
   public static Class537 aClass537_7296 = new Class537(4);
   static Class537 aClass537_7297 = new Class537(7);
   static Class537 aClass537_7298 = new Class537(8);
   static Class537 aClass537_7299 = new Class537(9);
   public int anInt7300;
   static String aString7301;


   Class537(int var1) {
      this.anInt7300 = -1822034595 * var1;
   }

   static void method11308(Class545 var0, Class456 var1, int var2, int var3, byte var4) {
      Class99.aClass456_1001.method7627((byte)16);
      if(!Class215_Sub1.aBool8345) {
         for(Class225_Sub11 var5 = (Class225_Sub11)var1.method7682((byte)104); var5 != null; var5 = (Class225_Sub11)var1.method7666(-1506721241)) {
            Class567 var6 = Class215_Sub1.aClass555_2519.method11836(922203033 * var5.anInt8528, 317875722);
            if(Class293.method5313(var6, -1346305409)) {
               boolean var7 = Class216.method3745(var0, var5, var6, var2, var3, (byte)-47);
               if(var7) {
                  Class280.method5062(var0, var5, var6, (byte)3);
               }
            }
         }

      }
   }
}
